tbb::interface5::internal::concurrent_unordered_base< Traits >::call_internal_clear_on_exit Struct Reference
Collaboration diagram for tbb::interface5::internal::concurrent_unordered_base< Traits >::call_internal_clear_on_exit:

## Public Member Functions

| call_internal_clear_on_exit (concurrent_unordered_base *instance)
void | dismiss ()
| ~call_internal_clear_on_exit ()

## Public Attributes

concurrent_unordered_base * | my_instance

## Detailed Description

### template<typename Traits>
struct tbb::interface5::internal::concurrent_unordered_base< Traits >::call_internal_clear_on_exit

Definition at line 754 of file _concurrent_unordered_impl.h.

## Constructor & Destructor Documentation

## call_internal_clear_on_exit()

template<typename Traits >

tbb::interface5::internal::concurrent_unordered_base< Traits >::call_internal_clear_on_exit::call_internal_clear_on_exit | ( | concurrent_unordered_base * | instance | ) |

inline

Definition at line 756 of file _concurrent_unordered_impl.h.

: my_instance(instance) {}
instance
void const char const char int ITT_FORMAT __itt_group_sync x void const char ITT_FORMAT __itt_group_sync s void ITT_FORMAT __itt_group_sync p void ITT_FORMAT p void ITT_FORMAT p no args __itt_suppress_mode_t unsigned int void size_t ITT_FORMAT d void ITT_FORMAT p void ITT_FORMAT p __itt_model_site __itt_model_site_instance * instance
Definition: ittnotify_static.h:117
tbb::interface5::internal::concurrent_unordered_base::call_internal_clear_on_exit::my_instance
concurrent_unordered_base * my_instance
Definition: _concurrent_unordered_impl.h:755

## ~call_internal_clear_on_exit()

template<typename Traits >

tbb::interface5::internal::concurrent_unordered_base< Traits >::call_internal_clear_on_exit::~call_internal_clear_on_exit | ( |  | ) |

inline

Definition at line 758 of file _concurrent_unordered_impl.h.

{
if (my_instance){
my_instance->internal_clear();
}
}
tbb::interface5::internal::concurrent_unordered_base::internal_clear
void internal_clear()
Definition: _concurrent_unordered_impl.h:1352

References tbb::interface5::internal::concurrent_unordered_base< Traits >::internal_clear(), and tbb::interface5::internal::concurrent_unordered_base< Traits >::call_internal_clear_on_exit::my_instance.

Here is the call graph for this function:

## Member Function Documentation

## dismiss()

template<typename Traits >

void tbb::interface5::internal::concurrent_unordered_base< Traits >::call_internal_clear_on_exit::dismiss | ( |  | ) |

inline

Definition at line 757 of file _concurrent_unordered_impl.h.

{ my_instance = NULL;}

References tbb::interface5::internal::concurrent_unordered_base< Traits >::call_internal_clear_on_exit::my_instance.

Referenced by tbb::interface5::internal::concurrent_unordered_base< Traits >::concurrent_unordered_base().

Here is the caller graph for this function:

## Member Data Documentation

## my_instance

template<typename Traits >

concurrent_unordered_base* tbb::interface5::internal::concurrent_unordered_base< Traits >::call_internal_clear_on_exit::my_instance

Definition at line 755 of file _concurrent_unordered_impl.h.

Referenced by tbb::interface5::internal::concurrent_unordered_base< Traits >::call_internal_clear_on_exit::dismiss(), and tbb::interface5::internal::concurrent_unordered_base< Traits >::call_internal_clear_on_exit::~call_internal_clear_on_exit().

The documentation for this struct was generated from the following file:

- _concurrent_unordered_impl.h

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.